Subject: Re: Preventing Fake RFCs - Proposal

From: [email-masked]
Date: Wed, 16 Nov 2005 17:59:40 +0000

Simon - the removal of the boiler plate abandons the copyright controls and I am willing to test/demonstrate that claim with precedent. Simply put, if the document(s) are released for open modification and derivative-use and no boiler plate constraining what the use model is, or that there is an enduring control acknowledged, then I am betting that there is no Court on this planet that wouldnt look at that and make the decision that the IETF had abandoned the IP. 

So, if the IETF wants to release people to publish documents or parts of them it better decide whether it has an obligation to the submitter to protect said same IP's prior to publishing those with open-use grant statement's on them instead of a use-license that mandates that the material remains the property of the IETF.

The problem with this issue is that the legal system is already quite skilled with dealing with people abandoning IP rights and this smells to me exactly like that.

Todd
 -------------- Original message ----------------------
From: Simon Josefsson <[email-masked]>
> [email-masked] writes:
> 
> > At the risk of disturbing agreement with Simon, there's an important
> > clarification to his comments:
> >
> >> I notice that the GPL license text itself contain a similar condition:
> >> 
> >>  Everyone is permitted to copy and distribute verbatim copies
> >>  of this license document, but changing it is not allowed.
> >> 
> >> I believe that restricting the modification right on license text is
> >> acceptable to everyone.  Debian may have an issue if they were to
> >> consider the boilerplate external to the license (and thus would have
> >> to be modifiable in order to be available for inclusion in Debian),
> >
> > The restrictive license I'm proposing on the "boilerplate" goes beyond
> > prohibiting modifications to the "boilerplate" itself to prohibit
> > modifications elsewhere in the RFC when the "boilerplate" is retained
> > in the result.
> 
> Ouch.  You are right.  Still, I believe there is a chance that this
> solution may be acceptable to everyone.
> 
> You would still be permitted to modify the content of the RFC, if you
> remove the boiler plate, right?
> 
> This situation seem similar to requests that I recall in some licenses
> that confusing author or name information should be removed if you
> modify the work.  I recall that some projects required that if you
> release a modified work, you would have to remove all references to
> the original name.  You can't call it X any more, which imply several
> changes of the work.  I think that is considered to be acceptable in
> the free software community.
> 
> One example may be Apache, which has a license that include:
> 
>  * 4. The names "Apache" and "Apache Software Foundation" must
>  *    not be used to endorse or promote products derived from this
>  *    software without prior written permission. For written
>  *    permission, please contact [email-masked].
> 
> That has been accepted by Debian.
> 
> Part of the Apache license is a license on PCRE which says:
> 
> 2. The origin of this software must not be misrepresented, either by
>    explicit claim or by omission. In practice, this means that if you use
> 
> Another part of Apache is mod_mime_magic, which include:
> 
>  * 3. Altered versions must be plainly marked as such, and must not be
>  * misrepresented as being the original software.  Since few users ever read
>  * sources, credits must appear in the documentation.
> 
> I think there is wiggle room in permitting your proposal from the free
> software community.
> 
> I will modify my proposed license to include something what you
> propose, and let the Debian legal people have a look at it.
> 
> > This is obviously (and deliberately) GPL-incompatible in order to
> > prevent abuse of the GPL (and similar licenses) to create fake RFCs.
> 
> I'm not certain it is GPL incompatible.  GPL contain a clause like:
> 
>     2. You may modify your copy or copies of the Program or any
>        portion of it, thus forming a work based on the Program, and
>        copy and distribute such modifications or work under the terms
>        of Section 1 above, provided that you also meet all of these
>        conditions:
> 
>        a) You must cause the modified files to carry prominent notices
>           stating that you changed the files and the date of any
>           change.
> 
> That may be considered similar to what we want to achieve here.
> 
> Regards,
> Simon
> 
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipr-wg

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: Simon Josefsson <[email-masked]>
Date: Thu, 17 Nov 2005 00:42:44 +0100

[email-masked] writes:

> Simon - the removal of the boiler plate abandons the copyright
> controls and I am willing to test/demonstrate that claim with
> precedent. Simply put, if the document(s) are released for open
> modification and derivative-use and no boiler plate constraining
> what the use model is, or that there is an enduring control
> acknowledged, then I am betting that there is no Court on this
> planet that wouldnt look at that and make the decision that the IETF
> had abandoned the IP.

I disagree.  The whole open source community uses copyright to protect
their work, and both modifications and derivative works are permitted.
The open source community has not abandoned any copyright through that
process.

Regards,
Simon

---

From: "todd glassey" <[email-masked]>
Date: Wed, 16 Nov 2005 16:40:28 -0800

Simon,
----- Original Message ----- 
From: "Simon Josefsson" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Wednesday, November 16, 2005 3:42 PM
Subject: Re: Preventing Fake RFCs - Proposal

> The open source community has not abandoned any copyright through that

The we agree to disagree.

Abandoning of IP rights comes in when someone uses your protected properties
and you do nothing about it. And based on what is called the Docterine of
Latches you only have a few years too to clean up their violations.

My point for the example that was given was that in the IETF's not slamming
Sun on its use, they essentially walked away from any rights they might have
to that piece of IP. Likewise, since they have neither the budget or
apparently at this time, the capability of defending an assault against
their IP control in Court, or for that matter any commitment to the people
'contributing it', well - what can I say. Nothing speaks louder than
personal experience in IP matters.